Ubuntu 與 Debian 相容性暫時解套方法 [論壇 - Ubuntu基本設定]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊



訪客
Ubuntu 與 Debian 相容性暫時解套方法
Anon:訪客
由於兩套系統漸行漸遠,許多套件都不能直接拿來互用…其實有許多小撇步是可以用的…以 pcmanx-gtk2 為例

1. 首先硬裝看看能不能用

dpkg -i --force-all pcmanx-gtk2_0.1.7.9-1_i386.deb

2. 如果可以用的話,就可以開始幫這個 deb 動小手術了

mkdir tmp
cd tmp
dpkg -x ../pcmanx-gtk2_0.1.7.9-1_i386.deb ./
dpkg -e ../pcmanx-gtk2_0.1.7.9-1_i386.deb
vi DEBIAN/control (把裡面的 libc6 (>= 2.3.2.ds1-21) 改成 libc6 (>= 2.3.2.dsl-20ubuntu13) 這樣)
dpkg-deb -b . ../pcmanx-gtk2_0.1.7.9-1ubuntu1_i386.deb

好了,再來就可以正常安裝這個新出爐的套件

dpkg -i ../pcmanx-gtk2_0.1.7.9-1ubuntu1_i386.deb

2005/6/24 16:27 | c0ba1 7c23a 26ff8 c3144
應用擴展 工具箱
訪客
Re: Ubuntu 與 Debian 相容性暫時解套方法
Anon:訪客
簡單的小套件都可以這樣玩,因為 Ubuntu 和 Debian 其實真的沒有相差那麼多…

不過大型套件、library、都不能這樣搞…

以後如果兩邊越行越遠,也就不能這樣玩了

2005/6/24 16:29 | c0ba1 7c23a 26ff8 c3144
應用擴展 工具箱
Re: Ubuntu 與 Debian 相容性暫時解套方法
會員三級
註冊日期:
2005/6/23 11:51
所屬群組:
網站管理員
已註冊使用者
等級: 14
HP : 0 / 343
MP : 82 / 15307
EXP: 72
離線
PCMan X 0.1.7.9 是以前的舊版了,目前的版本是 PCMan X 0.1.8.5
官方版本基於某些特殊考量,沒有繼續支援 GTK+ 2.0,而是選用了GTK+ 1.2
雖然介面比較醜但是速度確實是比較快,有興趣的朋友可以看看
在 apt.debian.org.tw 的 apt 上面可以直接用 apt-get 安裝
雖然目前是用 GTK+ 1.2
不過接下來會有嘗試再度支援 GTK+2 的計畫,目前已經在進行中:)

2005/6/27 2:56
應用擴展 工具箱


 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.